Subject: Re: g03 and RedHat 7.3 on Pentium

From: Bryan Putnam <bfp_at_purdue.edu>
Date: Mon, 23 Jun 2003 14:06:23 -0500 (EST)

Thanks for all the responses I got to this question. I found out from
Gaussian, Inc. that there is a patched version of libpgthread.so that can
be downloaded from the Portland group ftp server (ftp.pgroup.com), which
addresses this problem with RedHat 7.3.

And yes, you also need to modify the g03.make to remove Pentium IV
specific options, if you have for example, a PIII.

Thanks,
Bryan

On Sun, 22 Jun 2003, Bryan Putnam wrote:

> Greetings,
>
> Has anyone had success building Gaussian 03 (g03-B.03) on a Pentium II or
> III, using RedHat Linux 7.3, and Portland Group compiler 4.0-2 ?
>
> I see in the installation notes that Gaussian, Inc. says it will "NOT
> work" with versions of RedHat earlier than 8.0, but I don't know if that's
> the issue or not.
>
> g03 seems to compile OK, but when the build gets to the point where the
> executables are linked, for example,
>
> pgf77   -mp  -O2 -tp p7 -Mreentrant -Mrecursive -Mnosave -Minfo \
> -Mneginfo -time -fast -Munroll \
> -Mvect=assoc,recog,cachesize:524288,prefetch,sse \
> -fastsse -Mscalarsse -g -o g03 ml0.o   util.so   -lm -lc
>
> I get many undefined references of the form,
>
> /usr/pgi/linux86/lib/libpgthread.so: undefined reference to [email-masked]'
>
> I've reproduced the entire horrible list of them below. I've tried various
> things, building statically, dynamically, adding additional libraries,
> using the Portland version of pgcc, trying various versions of gcc, etc.,
> but nothing seems to work.
>
> Any help or suggestions appreciated!
>
> Thanks,
> Bryan
>